## MmGdbusOrgFreedesktopModemManager1Proxy MmGdbusOrgFreedesktopModemManager1Proxy |

## Functions

void | mm_gdbus_org_freedesktop_modem_manager1_proxy_new ()
MmGdbusOrgFreedesktopModemManager1 * | mm_gdbus_org_freedesktop_modem_manager1_proxy_new_finish ()
void | mm_gdbus_org_freedesktop_modem_manager1_proxy_new_for_bus ()
MmGdbusOrgFreedesktopModemManager1 * | mm_gdbus_org_freedesktop_modem_manager1_proxy_new_for_bus_finish ()
MmGdbusOrgFreedesktopModemManager1 * | mm_gdbus_org_freedesktop_modem_manager1_proxy_new_for_bus_sync ()
MmGdbusOrgFreedesktopModemManager1 * | mm_gdbus_org_freedesktop_modem_manager1_proxy_new_sync ()

## Types and Values

struct | MmGdbusOrgFreedesktopModemManager1Proxy

## Object Hierarchy

        GObject
        ╰── GDBusProxy
            ╰── MmGdbusOrgFreedesktopModemManager1Proxy

## Implemented Interfaces

MmGdbusOrgFreedesktopModemManager1Proxy implements GDBusInterface, GInitable, GAsyncInitable and MmGdbusOrgFreedesktopModemManager1.

## Description

## Functions

### mm_gdbus_org_freedesktop_modem_manager1_proxy_new ()

    void
    mm_gdbus_org_freedesktop_modem_manager1_proxy_new
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.ModemManager1. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `mm_gdbus_org_freedesktop_modem_manager1_proxy_new_finish()` to get the result of the operation.

See `mm_gdbus_org_freedesktop_modem_manager1_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### mm_gdbus_org_freedesktop_modem_manager1_proxy_new_finish ()

    MmGdbusOrgFreedesktopModemManager1 *
    mm_gdbus_org_freedesktop_modem_manager1_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_org_freedesktop_modem_manager1_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_org_freedesktop_modem_manager1_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type MmGdbusOrgFreedesktopModemManager1Proxy]

### mm_gdbus_org_freedesktop_modem_manager1_proxy_new_for_bus ()

    void
    mm_gdbus_org_freedesktop_modem_manager1_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `mm_gdbus_org_freedesktop_modem_manager1_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `mm_gdbus_org_freedesktop_modem_manager1_proxy_new_for_bus_finish()` to get the result of the operation.

See `mm_gdbus_org_freedesktop_modem_manager1_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### mm_gdbus_org_freedesktop_modem_manager1_proxy_new_for_bus_finish ()

    MmGdbusOrgFreedesktopModemManager1 *
    mm_gdbus_org_freedesktop_modem_manager1_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_org_freedesktop_modem_manager1_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_org_freedesktop_modem_manager1_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type MmGdbusOrgFreedesktopModemManager1Proxy]

### mm_gdbus_org_freedesktop_modem_manager1_proxy_new_for_bus_sync ()

    MmGdbusOrgFreedesktopModemManager1 *
    mm_gdbus_org_freedesktop_modem_manager1_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `mm_gdbus_org_freedesktop_modem_manager1_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `mm_gdbus_org_freedesktop_modem_manager1_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type MmGdbusOrgFreedesktopModemManager1Proxy]

### mm_gdbus_org_freedesktop_modem_manager1_proxy_new_sync ()

    MmGdbusOrgFreedesktopModemManager1 *
    mm_gdbus_org_freedesktop_modem_manager1_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.ModemManager1. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `mm_gdbus_org_freedesktop_modem_manager1_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type MmGdbusOrgFreedesktopModemManager1Proxy]

## Types and Values

### struct MmGdbusOrgFreedesktopModemManager1Proxy

    struct MmGdbusOrgFreedesktopModemManager1Proxy;

The MmGdbusOrgFreedesktopModemManager1Proxy structure contains only private data and should only be accessed using the provided API.